with 
hold_set as (

  select * from {{ ref('covariate_encoding_sql') }}
  where RACE_YEAR = 2020

)

select * from hold_set

/*
--
-- Test with python table --
--
select * from (
(select RACE_YEAR,GRID,DRIVERS_AGE_YEARS,round(DRIVER_CONFIDENCE,4),round(CONSTRUCTOR_RELAIBLITY,4),CONSTRUCTOR_NAME,CIRCUIT_NAME,DRIVER,TOTAL_PIT_STOPS_PER_RACE,POSITION_LABEL from PC_DBT_DB.FORMULA_1.HOLD_OUT_DATASET_FOR_PREDICTION

minus  

select RACE_YEAR,GRID,DRIVERS_AGE_YEARS,round(DRIVER_CONFIDENCE,4),round(CONSTRUCTOR_RELAIBLITY,4),CONSTRUCTOR_NAME,CIRCUIT_NAME,DRIVER,TOTAL_PIT_STOPS_PER_RACE,POSITION_LABEL from PC_DBT_DB.FORMULA_1.HOLD_OUT_DATASET_FOR_PREDICTION_SQL)

UNION ALL

(select RACE_YEAR,GRID,DRIVERS_AGE_YEARS,round(DRIVER_CONFIDENCE,4),round(CONSTRUCTOR_RELAIBLITY,4),CONSTRUCTOR_NAME,CIRCUIT_NAME,DRIVER,TOTAL_PIT_STOPS_PER_RACE,POSITION_LABEL from PC_DBT_DB.FORMULA_1.HOLD_OUT_DATASET_FOR_PREDICTION_SQL

minus

select RACE_YEAR,GRID,DRIVERS_AGE_YEARS,round(DRIVER_CONFIDENCE,4),round(CONSTRUCTOR_RELAIBLITY,4),CONSTRUCTOR_NAME,CIRCUIT_NAME,DRIVER,TOTAL_PIT_STOPS_PER_RACE,POSITION_LABEL from PC_DBT_DB.FORMULA_1.HOLD_OUT_DATASET_FOR_PREDICTION) 
)
order by RACE_YEAR,GRID,DRIVERS_AGE_YEARS
*/
